<?php

    require 'ncc';
    import('net.nosial.federationlib');

    $secret_file = __DIR__ . DIRECTORY_SEPARATOR . 'secret.txt';
    if(!file_exists($secret_file))
    {
        file_put_contents($secret_file, \FederationLib\Classes\Security::generateSecret());
    }

    $secret = file_get_contents($secret_file);
    $code = \FederationLib\Classes\Security::generateCode($secret);
    print(sprintf("Code: %s\n", $code));
    exit(0);